Upstream information

CVE-2018-13139 at MITRE

Description

A stack-based buffer overflow in psf_memset in common.c in libsndfile 1.0.28 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted audio file. The vulnerability can be triggered by the executable sndfile-deinterleave.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1100167 [RESOLVED / FIXED], 1116993 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2764
SUSE Enterprise Storage 5
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-Storage-5-2021-2615
SUSE Enterprise Storage 6
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-Storage-6-2021-2764
SUSE Linux Enterprise Desktop 12 SP3
  • libsndfile1 >= 1.0.25-36.13.1
  • libsndfile1-32bit >= 1.0.25-36.13.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1405
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
  • libsndfile1 >= 1.0.25-36.16.1
  • libsndfile1-32bit >= 1.0.25-36.16.1
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2764
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2764
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-2764
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libsndfile-devel >= 1.0.28-5.5.1
  • libsndfile1 >= 1.0.28-5.5.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-2764
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-2764
SUSE Linux Enterprise Module for Basesystem 15
  • libsndfile-devel >= 1.0.28-5.5.1
  • libsndfile1 >= 1.0.28-5.5.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1404
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libsndfile-progs >= 1.0.28-5.12.1
  • libsndfile1-32bit >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2764
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • libsndfile-progs >= 1.0.28-5.12.1
  • libsndfile1-32bit >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2764
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • libsndfile1-32bit >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-2764
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • libsndfile1-32bit >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-2764
SUSE Linux Enterprise Server 12 SP2-BCL
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-2615
SUSE Linux Enterprise Server 12 SP3-BCL
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-2615
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-2615
SUSE Linux Enterprise Server 12 SP3
  • libsndfile1 >= 1.0.25-36.13.1
  • libsndfile1-32bit >= 1.0.25-36.13.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1405
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-2615
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-2615
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-2615
SUSE Linux Enterprise Server 15 SP1-BCL
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2764
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2764
SUSE Linux Enterprise Server 15-LTSS
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-2764
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-2615
SUSE-SLE-SERVER-12-SP3-2018-1405
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-2615
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2764
SUSE Linux Enterprise Server for SAP Applications 15
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-2764
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libsndfile-devel >= 1.0.25-36.13.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1405
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libsndfile-devel >= 1.0.25-36.16.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libsndfile-devel >= 1.0.25-36.23.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-2615
SUSE Manager Proxy 4.0
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2764
SUSE Manager Retail Branch Server 4.0
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2764
SUSE Manager Server 4.0
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2764
SUSE OpenStack Cloud 8
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-2615
SUSE OpenStack Cloud 9
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-2615
SUSE OpenStack Cloud Crowbar 9
  • libsndfile1 >= 1.0.25-36.23.1
  • libsndfile1-32bit >= 1.0.25-36.23.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-2615
openSUSE Leap 15.0
  • libsndfile-devel >= 1.0.28-lp150.3.3.1
  • libsndfile-progs >= 1.0.28-lp150.3.3.1
  • libsndfile1 >= 1.0.28-lp150.3.3.1
  • libsndfile1-32bit >= 1.0.28-lp150.3.3.1
Patchnames:
openSUSE-2019-562
openSUSE Leap 15.2
  • libsndfile-devel >= 1.0.28-lp152.6.3.1
  • libsndfile-progs >= 1.0.28-lp152.6.3.1
  • libsndfile1 >= 1.0.28-lp152.6.3.1
  • libsndfile1-32bit >= 1.0.28-lp152.6.3.1
Patchnames:
openSUSE-2021-1166
openSUSE Leap 15.3
  • libsndfile-devel >= 1.0.28-5.12.1
  • libsndfile-progs >= 1.0.28-5.12.1
  • libsndfile1 >= 1.0.28-5.12.1
  • libsndfile1-32bit >= 1.0.28-5.12.1
Patchnames:
openSUSE-SLE-15.3-2021-2764
openSUSE Tumbleweed
  • libsndfile-devel >= 1.0.31-2.2
  • libsndfile1 >= 1.0.31-2.2
  • libsndfile1-32bit >= 1.0.31-2.2
Patchnames:
openSUSE Tumbleweed GA libsndfile-devel-1.0.31-2.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libsndfile In progress
SUSE CaaS Platform 4.0 libsndfile Released
SUSE Enterprise Storage 6 libsndfile Released
SUSE Linux Enterprise Desktop 12 SP3 libsndfile Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libsndfile Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libsndfile Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libsndfile Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libsndfile Released
SUSE Linux Enterprise Module for Basesystem 15 libsndfile Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libsndfile Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 libsndfile Released
SUSE Linux Enterprise Server 11 SP1 libsndfile Analysis
SUSE Linux Enterprise Server 11 SP3 libsndfile Analysis
SUSE Linux Enterprise Server 11 SP3 LTSS libsndfile Affected
SUSE Linux Enterprise Server 11 SP4 libsndfile Affected
SUSE Linux Enterprise Server 12 LTSS libsndfile Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS libsndfile Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS libsndfile Unsupported
SUSE Linux Enterprise Server 12 SP3 libsndfile Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libsndfile In progress
SUSE Linux Enterprise Server 12 SP3 LTSS libsndfile Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libsndfile Released
SUSE Linux Enterprise Server 12 SP4 LTSS libsndfile Released
SUSE Linux Enterprise Server 12 SP5 libsndfile Released
SUSE Linux Enterprise Server 15 ESPOS libsndfile Released
SUSE Linux Enterprise Server 15 LTSS libsndfile Released
SUSE Linux Enterprise Server 15 SP1 LTSS libsndfile Released
SUSE Linux Enterprise Server BCL 12 SP2 libsndfile Released
SUSE Linux Enterprise Server BCL 12 SP3 libsndfile Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 15 libsndfile Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libsndfile Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libsndfile Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libsndfile Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libsndfile Released
SUSE Manager Proxy 4.0 libsndfile Released
SUSE Manager Retail Branch Server 4.0 libsndfile Released
SUSE Manager Server 4.0 libsndfile Released
SUSE OpenStack Cloud 8 libsndfile In progress
SUSE OpenStack Cloud 9 libsndfile Released
SUSE OpenStack Cloud Crowbar 8 libsndfile In progress
SUSE OpenStack Cloud Crowbar 9 libsndfile Released
SUSE Package Hub 15 SP1 libsndfile Released
SUSE Package Hub 15 SP2 libsndfile Released
SUSE Package Hub 15 SP3 libsndfile Released